<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateFacturaProyectoOperador extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('factura_proyecto_operador')
			->addColumn('proyecto_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('operador_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('factura', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('valor_uf', 'double', ['null' => false, 'signed' => false])
			->addColumn('valor_neto', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('iva', 'integer', ['length' => 10, 'default' => 0, 'signed' => false])
			->addForeignKey('proyecto_id', 'proyecto', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('operador_id', 'agente', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
